Package org.springframework.security.config.http

# Class ChannelAttributeFactory

java.lang.Object
org.springframework.security.config.http.ChannelAttributeFactory

public final class ChannelAttributeFactory extends Object
Used as a factory bean to create config attribute values for the `requires-channel` attribute.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`static List<org.springframework.security.access.ConfigAttribute>`
`createChannelAttributes(String requiredChannel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createChannelAttributes

public static List<org.springframework.security.access.ConfigAttribute> createChannelAttributes(String requiredChannel)